#ifndef _D_CONSTANTS_H_
#define _D_CONSTANTS_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file D_Constants.h
/// \brief List of constants 
#ifndef __PI__
#define __PI__
const float pi = 3.14159265358979312;
#endif

// particles PID (PDG ID)
const int pU   = 1;    // c quark
const int pD   = 2;    // b quark
const int pS   = 3;    // s quark
const int pC   = 4;    // c quark
const int pB   = 5;    // b quark
const int pE   = 11;   // e
const int pNU1 = 12;   // nu_e
const int pMU  = 13;   // mu
const int pNU2 = 14;   // nu_mu
const int pTAU = 15;   // tau
const int pNU3 = 16;   // nu_tau
const int pGLUON = 21; // gluon
const int pGAMMA = 22; // gamma
const int pW   = 24;   // W
const int pP   = 2212; // proton
const int pN   = 2112; // neutron
const int pPI0 = 111;  // pi_0
const int pK0L = 130;  // K^0_L
const int pK0S = 310;  // K^0_S
const int pLAMBDA = 3122; // Lambda
const int pSIGMA0 = 3212;  // Sigma^0
const int pDELTA0 = 2114;  // Delta^0

const double speed_of_light = 299792458; // m/s
const float UNDEFINED=-9999.;
const int iUNDEFINED=-9999;

#endif
